from orchestrator.services.processes import start_process

from gso.schedules.scheduling import scheduler
from gso.worker import celery


@celery.task
@scheduler(name="Resume workflows", hour="*/1")
def run_resume_workflows() -> None:
    """Resume all workflows that are stuck on tasks with the status 'waiting'."""
    start_process("task_resume_workflows")
